Bug 430440 - microsoft natural keyboard elite fails on HP x4000 unless reseated
microsoft natural keyboard elite fails on HP x4000 unless reseated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 22:04 EST by Paul
Modified: 2010-06-28 06:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:32:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.0.log from FC8 boot-up on HP x4000 (52.82 KB, text/plain)
2008-02-02 19:25 EST, Paul
no flags Details
the LiveFC8 file used for the previous attached log (578 bytes, application/octet-stream)
2008-02-02 19:26 EST, Paul
no flags Details

  None (edit)
Description Paul 2008-01-27 22:04:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
Submitted this as RH Bugzilla bug 429446 against FC5, was advised to update to FC8. Using LiveImage of FC8 captured onto CD, I am seeing same behavior. Was suggested that I reopen old bug, but I made enough mistakes (HP model and proc, I gather XFree86 has been replaced with something new) that I figured a new bug was in order

Per HP, I determined the machine failing was x4000, not xw4000 and that the keyboard works in set-up mode in BIOS and will work the next time if I do a hardware reset (which I think bypasses shutdown ???). I also confirmed that BIOS is at the latest release (IU.W1.16US)

Keyboard in Microsoft Natural Keyboard Elite KU-0045 -- X06-19331. Works on HP xw8000 (FC5) and various other machines running Win98se or XP. Older model of their keyboard (M/N E06401PS2DEL -- X04-58552) works all hardware / opSys, as does default HP keyboard.

Have tried xorg.conf XkdModel microsoft / pc105  and no entry, same behavior no matter which (though on the FC8 LiveImage, I clearly can't edit the xorg.conf to change it use something different at boot-up since change lost on powerdown.

There is scant info on this keyboard compared to the other Microsoft Naturals, haven't been able to get a confirm online exactly what changed in this keyboard and what the proper xorg.conf setting is.

Am in communication with HP to see if its something on the hardware side, but no luck so far as I don't have sufficient info to help them and FC is unsupported.

Microsoft initially said it is an unsupported product and, after I sent them their website showing it for sale, I am now advised that "I would like you to know that because of the popularity of this product, Microsoft has re-released it. Mainstream support for the product has been realigned with the new release date" so I am also trying to pursue path with them for resolution.

Hope I picked the right category for this,
Thanks in advance,
Paul

Version-Release number of selected component (if applicable):
2.6.23.1-42.fc8

How reproducible:
Always


Steps to Reproduce:
1. Connect MS keyboard to HP x4000 w/ FC8 LiveImage and power up ... keyboard works
2. Power down and power back up, get "0102: Keyboard Controller Error"
3. Power down and disconnect then reconnect keyboard to and HP and power up. The keyboard will work.

Actual Results:
see above

Expected Results:
Expect the keyboard to always be there and not to have to reseat to get the HP to "see the keyboard again" ... or to always do a hardware reset / power out to avoid the clean halt/shutdown (which is the thing that happens after last successful use of keyboard.

Additional info:
Let me know what more I can provide
Comment 1 Matěj Cepl 2008-01-28 12:21:01 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Paul 2008-01-28 23:53:24 EST
Matej:

Thanks for the prompt reply.

Given that I am running of a Live FC8, the xorg.conf is what comes with the
download. I will grab that and the *.log when I do a power up w/ success and and
a power up with failure.

Since I am running off CD, I am not certain how to avoid the xorg.conf. Can you
tell me how to do this? If this requires me to install FC8 off the LiveCD,
I'lldo that, but I'd like to know if there is a way to do this while still
running off CD.

Please assume that I won't get to it until the weekend ... I am still learning
my way about being a "home sysAdmin for Linux" and want a full day to make sure
I get it all right.

Thanks,
Paul
Comment 3 Matěj Cepl 2008-01-29 03:18:35 EST
Shut, stupid mistake. No, of course, you cannot run without xorg.conf (you
already do, if I am not mistaken again), and you have absolutely nothing in
/var/log -- the logs we are after are somewhere in /tmp. Try

find /tmp -name \*org\*

to find them.
Comment 4 Paul 2008-01-29 09:07:54 EST
Thanks for the clarification on where to get them. I will do this on the weekend
when I have time to do this.

As for xorg.conf, I appear to be running off a vanilla and exceedingly minimal
one on the boot disk. I'll snap that as well for the sake of papertrail on this bug.

Paul
Comment 5 Paul 2008-02-02 19:25:19 EST
Created attachment 293808 [details]
xorg.0.log from FC8 boot-up on HP x4000
Comment 6 Paul 2008-02-02 19:26:19 EST
Created attachment 293809 [details]
the LiveFC8 file used for the previous attached log
Comment 7 Paul 2008-02-02 19:40:20 EST
I ran the tests as requested, files have been attached. Note that I ran the test
three times 1) first power-up after seating the questionable keyboard (works),
2) shutdown/power-up (doesn't work), and 3) shutdown /
plug-old-and-working-keyboard in / power-up (works).

I only found the one log, Xorg.0.log, and it was in the LiveImage's tree under
/var. I wanted to grab the shutdown log (Xorg.5.log if I am learning all this
correctly), but of course, it's gone when shutdown finishes. So I was wondering
if there was a way to edit the image's files to redirect the output to the "real
file system" so I can get that to you. Of course, I don't know if FC8 unmounts
that before finishing and hence won't get the full contents.

One of the theories I raised to HP in my emailing with them is that since it
works the first time, and it works if I do a hardware reset, that means that the
shutdown process is the one thing that happens if I do a clean FC8 shutdown and
that maybe it and/or the keyboard were sending something to the BIOS which says
"the keyboard is not only off, it ceases to exist". Just a wild guess from a
novice, but its the only thing I can think off.

Once again, thank you for your help and please let me know if there is anything
more I can get for you to help figure this out (including whether I have to go
ahead and learn how to install FC8 so we are off the LiveImageFC8)

Paul 
Comment 8 Peter Hutterer 2008-07-20 22:53:16 EDT
This isn't an X issue, it's most likely hardware but may also be kernel.
Reassigning to kernel.

Also, Paul, is this still an issue with F9?
Comment 9 Paul 2008-07-20 23:30:50 EDT
Peter:

Thanks for taking a look and I'll look forward to what "kernel" has to say.

I hate to admit this, but I never got FC8 (let alone FC9) installed as I cannot
for the life of me figure out how to get the machine on the internet. Gone
through I don't know how many postings and books, but at just about the point
where it looks like I find the info, it slips into a higher level of system
understanding than I have (I said I was a novice ... the truth is that I'm a
pretty good user but am at Neanderthal at best when it comes to systems). Since
I have internet access through Windows system, it wasn't a show-stopper and I
kinda gave up going "I'll try next week".

Now that you've written this email, I'll give up next Saturday to get the dang
machine online so I can download and install FC9 (the last check I did seemed to
imply that I could get an image on CD that I could install for bare minimum FC
but would have to get internet access to do proper full install ... am I
mistaken?) If I could download on Windows to CD / stick, that might may the
internet issue moot for this keyboard test.

Rereading this, I think I am hijacking the thread for a bunch of other questions
and I apologize ... I have to ask but will plan on it being my responsibility,
not this thread, to figure out internet / install.

Once again, thanks
Paul
Comment 10 Paul 2008-08-04 00:45:06 EDT
After two weekends of trying to upgrade to FC9, I admit defeat because I am getting errors that I can't understand (like a media-checked successfully verified that, upon taking the next step, ejects the disk with a pop-up titled Error with the only message being "ok" along with an "OK" button to try something else.

This is the wrong forum for asking questions about all this, so I need to beg your help to direct me to some forum / person who can give me enough help to figure out what I am doing wrong.

Given that I have done checksum tests and media verification, I am clueless as to why an error that say "ok" can possibly help me move forward.

For the record, I tried to separate DVDs that both passed the checksum test on two different Linux boxes. I still can't get network access sorted out, so DVD is my only option at this point.

Apologize for "sheading a tear on this forum shoulder", but I am not certain what to do. If there was a Linux geek squad (I guess that would be the "leek squad"), I'd pay to get this resolved as its really quite a "non-Neanderthal" world I'm walking into).

Thanks for bearing with,
Paul
Comment 11 Chuck Ebbert 2008-08-12 13:08:52 EDT
(In reply to comment #10)
> After two weekends of trying to upgrade to FC9, I admit defeat because I am
> getting errors that I can't understand (like a media-checked successfully
> verified that, upon taking the next step, ejects the disk with a pop-up titled
> Error with the only message being "ok" along with an "OK" button to try
> something else.
> 
> This is the wrong forum for asking questions about all this, so I need to beg
> your help to direct me to some forum / person who can give me enough help to
> figure out what I am doing wrong.
> 

Just click on the 'ok' ... it will continue the installation.
Comment 12 Paul 2008-08-12 21:40:58 EDT
Thanks for the advice.

Unfortunately, it appears to not be that simple. I signed up for fedora-list@redhat.com to try to get help and there are indications that my FC5 system doesn't have a proper driver for the DVD install (courtesy of info in ctrl-alt-f{3,4,5}). Can't find a driver for it (LiteOn, which doesn't have Linux drivers), so I am trying 6CD install to see if at least that part behaves. There are some other suggestions I have gotten and will be trying them.

This one bug has certainly sent me down the path of learning a whole lot of Linux stuff that I probably needed to, but the path seems to be getting longer (smile?) By the time I can get the test results back of this keyboard on FC9, I'll be the cliched older but wiser.

Paul
Comment 13 Paul 2008-08-16 21:57:27 EDT
I was finally able to get Fedora 9 on one of my Linux boxes (had to submit bug 459342 out of it). Though I am still having problems with the install (posted questions on fedora-list@redhat.com), I am stable getting the machine up and running to the login screen.

Everything works as expected with the old-style Microsoft keyboard. Powered down, plugged in the new-style Microsoft keyboard, and see bad behavior.

First power-up, keyboard works
Every subsequent power-up, keyboard fails
.. power down, unplug the new-style, plug it back in ...
First power-up, keyboard works
Every subsequent power-up, keyboard fails

It would appear to me that the problem exists in Fedora 9. Sorry, I was hoping the upgrade would fix it.

Please let me know if there is anything else you need from me; otherwise, I am assuming this is back in your court after my testing results.

Thanks,
Paul
Comment 14 Paul 2008-08-23 12:25:42 EDT
I noticed that the bug had been updated from fc5 to f8. I ran my latest tests onf9, so I updated that version to reflect.
Comment 15 Paul 2008-12-24 02:36:28 EST
Its been awhile since I have heard anything about this. Since its only the older keyboard that works and it is beginning to show signs of age, I wanted to check in to see if this issue might get looked at or if it is probably destined for ongoing repo to the future.

Thanks,
Paul
Comment 16 Bug Zapper 2009-06-09 19:26:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Paul 2009-06-27 18:15:59 EDT
Brought up one of the above-mentioned X4000 computers under F11 and tested this again. It is still failing with "0102: Keyboard Controller Error" on the second power-up and the keyboard does not respond.


It only happens on power cycles (shut down and turn back on). If one powers up and then does "restarts", the problem will not occur (I think that was the original observation under FC5 and F9 as well, but am mentioning it to be sure its in the F11 report).
Comment 18 Chuck Ebbert 2009-10-06 11:51:15 EDT
That error is coming from the system BIOS, not Linux. Is the latest BIOS installed on that system?
Comment 19 Paul 2009-10-07 01:07:52 EDT
Fair enough, let me check that this weekend.

Of course, you know the follow-up question is "where do I find the current version?". I am presuming it is the "Boot Agent" number during power-up?

The next question is "how do I update BIOS?". This should give you an idea of 1) how low-tech I am and 2) how old the BIOS potentially is.

All help is appreciated,
Thanks,
Paul
Comment 20 Paul 2009-10-10 21:08:06 EDT
I searched the net and confirmed that, for the x4000, I have the latest BIOS (IU.W1.16US) which was released 31mar03. I can't find any reference to a newer one. This BIOS info is in my original post of 2008-01-27 when I submitted this bug.

It's obvious to me that the system is old and no longer getting support from HP, though this is the driver they have on their website for it.

I also have an xw8000 and its BIOS is JQ.W1.03US (11feb03). The HP site for this machine says the latest is JQ.W1.18_1.19 Rev A (05jan06). I also found reference in your old bugzillas to #123535 which is about keyboard issues and that there were some relevant changes when OP updated to JQ.W1.13.

I'm now staring at the instructions for doing a BIOS update and seeing how courageous I feel (very weak smile on this one).

I think you are right about it being BIOS given #123535. Guess I am out-of-luck with the x4000 and, even if I figure out how to do the BIOS upgrade, I still won't be able to use the keyboard in question as the machines share perpherials via KVM ... hence part of my concern about whether it is worth screwing up the xw8000 if I don't do the upgrade right (I don't have any original media for these systems with original BIOS).

Thanks,
Paul
Comment 21 Bug Zapper 2010-04-27 07:53:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Paul 2010-06-15 04:15:43 EDT
It appears that I cannot update the BIOS on the machines in question as they are out-of-date. So, though I still believe there is a problem, I have no means to do anything on my end to correct the situation so I can claim it is "current".

Unless you have other bugs related to this which show up in f11, f12, and f13, I have no problem with this being closed as "out of date"

Sigh,
Paul
Comment 23 Bug Zapper 2010-06-28 06:32:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.